package com.xjrsoft.module.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticDto;
import com.xjrsoft.module.attendance.vo.ClassStatisticsVo;
import com.xjrsoft.module.base.dto.BaseClassPageDto;
import com.xjrsoft.module.base.entity.BaseClass;
import com.xjrsoft.module.base.vo.BaseClassPageVo;
import com.xjrsoft.module.base.vo.StudentClassVo;
import com.xjrsoft.module.organization.vo.UserStudentVo;

import java.util.List;

public interface IBaseClassService extends MPJBaseService<BaseClass> {
    List<UserStudentVo> getStudents(long id);
    UserStudentVo getClassInfo(long id);

    Page<BaseClassPageVo> getPage(Page<BaseClassPageVo> page, BaseClassPageDto dto);

    List<StudentClassVo> getStudentClass();

    Page<ClassStatisticsVo> getAttendancePage(Page<ClassStatisticsVo> page, AttendanceStatisticDto dto);
}
